Name | Type | Default |
animationDuration
|
String | Number
|
400
|
Sets or gets the animationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
border
|
GaugeBorder
|
{ size: '10%', style: { stroke: '#cccccc'}, visible: true, showGradient: true }
|
interface GaugeBorder { size?: String | Number; visible?: Boolean; style?: GaugeStyle; showGradient?: Boolean; } interface GaugeStyle { fill?: String; stroke?: String; } Sets or gets the border property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [border]="border"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
caption
|
GaugeCaption
|
{ value: '', position: 'bottom', offset: [0, 0], visible: true }
|
interface GaugeCaption { value?: String; position?: GaugePosition; offset?: Array<Number>; visible?: Boolean; } Sets or gets the caption property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [caption]="caption"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
cap
|
GaugeCap
|
{ size: '4%', style: { fill: 'theme-specific-color', stroke: 'theme-specific-color' } , visible: true }
|
interface GaugeCap { size?: String | Number; visible?: Boolean; style?: GaugeStyle; } interface GaugeStyle { fill?: String; stroke?: String; } Sets or gets the cap property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [cap]="cap"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
colorScheme
|
String
|
'scheme01'
|
Sets or gets the colorScheme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [colorScheme]="'scheme01'"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [disabled]="true"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
easing
|
enum:GaugeEasing
|
linear
|
enum GaugeEasing { linear, easeOutBack, easeInQuad, easeInOutCirc, easeInOutSine, easeOutCubic } Sets or gets the easing property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [easing]="'linear'"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
endAngle
|
String | Number
|
270
|
Sets or gets the endAngle property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [endAngle]="250"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
height
|
String | Number
|
350
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [height]="400"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
int64
|
Boolean
|
false
|
Sets or gets the int64 property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [int64]="true"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
labels
|
GaugeLabels
|
{ distance: '38%', position: 'none', interval: 20, offset: [0, -10], visible: true, formatValue: function (value) { return value; }}
|
interface GaugeLabels { distance?: String; position?: GaugeLabelsPosition; interval?: String | Number; offset?: Array<Number>; visible?: Boolean; formatValue?: (value?: Number) => String; } Sets or gets the labels property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [labels]="labels"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
min
|
Number
|
0
|
Sets or gets the min property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [min]="10"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
max
|
String | Number
|
220
|
Sets or gets the max property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [max]="210"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
pointer
|
GaugePointer
|
{ pointerType: 'default', style: { fill: 'theme-specific-color', stroke: 'theme-specific-color' }, length: '70%', width: '2%', visible: true }
|
interface GaugePointer { pointerType?: String; style?: GaugeStyle; width?: String | Number; length?: String | Number; visible?: Boolean; } interface GaugeStyle { fill?: String; stroke?: String; } Sets or gets the pointer property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [pointer]="pointer"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
radius
|
String | Number
|
'50%'
|
Sets or gets the radius property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [radius]="150"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
ranges
|
Array<GaugeRanges>
|
[]
|
interface GaugeRanges { startValue: String | Number; endValue: String | Number; startWidth: String | Number; endWidth: String | Number; startDistance?: String | Number; endDistance?: String | Number; style: GaugeStyle; } interface GaugeStyle { fill?: String; stroke?: String; } Sets or gets the ranges property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [ranges]="ranges"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
startAngle
|
String | Number
|
30
|
Sets or gets the startAngle property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [startAngle]="40" [endAngle]="200"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
showRanges
|
Boolean
|
true
|
Sets or gets the showRanges property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [showRanges]="true"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
style
|
GaugeStyle
|
{ fill: '#ffffff', stroke: '#ffffff' }
|
interface GaugeStyle { fill?: String; stroke?: String; } Sets or gets the style property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [style]="style"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
ticksMajor
|
GaugeTicks
|
{ size: '10%', interval: 5, style: { stroke: '#898989'}, visible: true }
|
interface GaugeTicks { size: String | Number; interval: String | Number; visible?: Boolean; style?: GaugeStyle; } interface GaugeStyle { fill?: String; stroke?: String; } Sets or gets the ticksMajor property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [ticksMajor]="ticksMajor"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
ticksMinor
|
GaugeTicks
|
{ size: '10%', interval: 5, style: { stroke: '#898989'}, visible: true }
|
interface GaugeTicks { size: String | Number; interval: String | Number; visible?: Boolean; style?: GaugeStyle; } interface GaugeStyle { fill?: String; stroke?: String; } Sets or gets the ticksMinor property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [ticksMinor]="ticksMinor"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
ticksDistance
|
String | Number
|
'20%"
|
Sets or gets the ticksDistance property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [ticksDistance]="50%"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
value
|
Number
|
0
|
Sets or gets the value property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [value]="100"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
width
|
String | Number
|
350
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200" [width]="300"> </jqxGauge> ` }) export class AppComponent { ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
|
valueChanging
|
Event
|
|
The event is is triggered when the gauge's value is changing.
Code examples
Bind to the valueChanging event of jqxGauge.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge (onValueChanging)="ValueChanging($event)" [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200"> </jqxGauge> ` }) export class AppComponent { ValueChanging(event: any): void { // Do Something } ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
valueChanged
|
Event
|
|
The event is is triggered when the gauge's value is changed.
Code examples
Bind to the valueChanged event of jqxGauge.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge (onValueChanged)="ValueChanged($event)" [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200"> </jqxGauge> ` }) export class AppComponent { ValueChanged(event: any): void { // Do Something } ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
|
Name | Return Type | Arguments |
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200"> </jqxGauge> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myGauge') myGauge: jqxGaugeComponent; ngAfterViewInit(): void { this.myGauge.disable(); } ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200"> </jqxGauge> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myGauge') myGauge: jqxGaugeComponent; ngAfterViewInit(): void { this.myGauge.enable(); } ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|
val
|
Number
|
value: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxGauge #myGauge [ranges]="ranges" [ticksMinor]="ticksMinor" [ticksMajor]="ticksMajor" [value]="0" [colorScheme]="'scheme05'" [animationDuration]="1200"> </jqxGauge> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myGauge') myGauge: jqxGaugeComponent; ngAfterViewInit(): void { let value = this.myGauge.val(); } ticksMinor: any = { interval: 5, size: '5%' }; ticksMajor: any = { interval: 10, size: '9%' }; ranges: any[] = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 }
|

Name | Type | Default |
animationDuration
|
Number
|
400
|
Sets or gets the animationDuration property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
border
|
Object
|
{ size: '10%', style: { stroke: '#cccccc'}, visible: true, showGradient: true }
|
Sets or gets the border property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} border={border} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
caption
|
Object
|
{ value: '', position: 'bottom', offset: [0, 0], visible: true }
|
Sets or gets the caption property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} caption={caption} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
cap
|
Object
|
{ size: '4%', style: { fill: 'theme-specific-color', stroke: 'theme-specific-color' } , visible: true }
|
Sets or gets the cap property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} cap={cap} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
colorScheme
|
String
|
'scheme01'
|
Sets or gets the colorScheme property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} colorScheme={'scheme01'} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} disabled={true} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
easing
|
String
|
linear
|
Sets or gets the easing property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} easing={'linear'} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
endAngle
|
Number
|
270
|
Sets or gets the endAngle property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} endAngle={250} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
height
|
Number
|
350
|
Sets or gets the height property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} height={400} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
int64
|
Boolean
|
false
|
Sets or gets the int64 property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} int64={true} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
labels
|
Object
|
{ distance: '38%', position: 'none', interval: 20, offset: [0, -10], visible: true, formatValue: function (value) { return value; }}
|
Sets or gets the labels property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} labels={labels} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
min
|
Number
|
0
|
Sets or gets the min property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} min={10} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
max
|
Number
|
220
|
Sets or gets the max property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} max={210} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
pointer
|
Object
|
{ pointerType: 'default', style: { fill: 'theme-specific-color', stroke: 'theme-specific-color' }, length: '70%', width: '2%', visible: true }
|
Sets or gets the pointer property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} pointer={pointer} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
radius
|
Number
|
'50%'
|
Sets or gets the radius property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} radius={150} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
ranges
|
Array
|
[]
|
Sets or gets the ranges property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} ranges={ranges} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
startAngle
|
Number
|
30
|
Sets or gets the startAngle property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} startAngle={40} endAngle={200} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
showRanges
|
Boolean
|
true
|
Sets or gets the showRanges property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} showRanges={true} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
style
|
Object
|
{ fill: '#ffffff', stroke: '#ffffff' }
|
Sets or gets the style property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} style={style} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
ticksMajor
|
Object
|
{ size: '10%', interval: 5, style: { stroke: '#898989'}, visible: true }
|
Sets or gets the ticksMajor property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} ticksMajor={ticksMajor} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
ticksMinor
|
Object
|
{ size: '10%', interval: 5, style: { stroke: '#898989'}, visible: true }
|
Sets or gets the ticksMinor property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} ticksMinor={ticksMinor} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
ticksDistance
|
String
|
'20%"
|
Sets or gets the ticksDistance property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} ticksDistance={'50%'} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
value
|
Number
|
0
|
Sets or gets the value property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} value={100} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
width
|
Number
|
350
|
Sets or gets the width property.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} width={300} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
|
valueChanging
|
Event
|
|
The event is is triggered when the gauge's value is changing.
Code examples
Bind to the valueChanging event of jqxGauge.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { componentDidMount() { this.refs.myGauge.on('valueChanging', (event) => { // Do Something... }); } render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
valueChanged
|
Event
|
|
The event is is triggered when the gauge's value is changed.
Code examples
Bind to the valueChanged event of jqxGauge.
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { componentDidMount() { this.refs.myGauge.on('valueChanged', (event) => { // Do Something... }); } render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
|
Name | Return Type |
disable
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { componentDidMount() { this.refs.myGauge.disable(); } render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
enable
|
None
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { componentDidMount() { this.refs.myGauge.enable(); } render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|
val
|
Number
|
import React from 'react'; import ReactDOM from 'react-dom'; import JqxGauge from 'jqwidgets-react/react_jqxgauge.js'; class App extends React.Component { componentDidMount() { let value = this.refs.myGauge.val(); } render() { let ticksMinor = { interval: 5, size: '5%' }; let ticksMajor = { interval: 10, size: '9%' }; let ranges = [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ]; return ( <JqxGauge ref= 'myGauge' ranges={ranges} ticksMinor={ticksMinor} ticksMajor={ticksMajor} value={0} colorScheme={ 'scheme05'} animationDuration={1200} /> ) } } ReactDOM.render( <App />, document.getElementById( 'app'));
|

Name | Type | Default |
animationDuration
|
Number
|
400
|
Sets or gets jqxGauge's animation duration [ms].
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the animationDuration property. let animationDuration = this.$refs.myGauge.animationDuration;
|
border
|
Object
|
{ size: '10%', style: { stroke: '#cccccc'}, visible: true, showGradient: true }
|
Sets or gets the gauge's properties for it's border.
Possible Values:
'size'-specifies the size of the border. Border's size can be set in percentage or in pixels
'visible'-indicates if the border will be visible
'style'-sets border style (color and thickness)
'showGradient' - whether a gradient background will be used
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :border="border" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { border: { size: '11%', style: { stroke: '#898989'}, visible: true }, ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the border property. let border = this.$refs.myGauge.border;
|
caption
|
Object
|
{ value: '', position: 'bottom', offset: [0, 0], visible: true }
|
Sets or gets the gauge's properties for it's caption.
Possible Values:
'value' - specifies the text
'position' - specifies the caption position. There four different positions - top, bottom, left and right. You can customize the position using the offset property described bellow
'offset' - array with two number elements. The first one indicates the left offset and the second one the top offset
'visible' - indicates whether the caption will be visible
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :caption="caption" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { caption: { value: 'jQWidgets', position: 'bottom', offset: [0, 10], visible: true }, ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the caption property. let caption = this.$refs.myGauge.caption;
|
cap
|
String | Object
|
{ size: '4%', style: { fill: 'theme-specific-color', stroke: 'theme-specific-color' } , visible: true }
|
Sets or gets the gauge's properties for it's cap.
Possible Values:
'size' - specifies the gauge's size. This property can be set as percentage or in pixels
'visible' - indicates whether the cap will be visible
'style' - specifies the gauge's cap styles. Here you can set it's fill or stroke colors
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :cap="cap" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { cap: { size: '5%', style: { fill: '#ff0000', stroke: '#00ff00' } , visible: true }, ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the cap property. let cap = this.$refs.myGauge.cap;
|
colorScheme
|
String
|
'scheme01'
|
Sets the gauge's color pallete. jqxGauge suppports 11 color schemes from 'scheme01' to 'scheme11'.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :colorScheme="'scheme01'" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the colorScheme property. let colorScheme = this.$refs.myGauge.colorScheme;
|
disabled
|
Boolean
|
false
|
Sets or gets whether the jqxGauge is disabled.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :disabled="true" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the disabled property. let disabled = this.$refs.myGauge.disabled;
|
easing
|
String
|
linear
|
Sets or gets jqxGauge's animation easing.
Possible Values:
'linear'
'easeOutBack'
'easeInQuad'
'easeInOutCirc'
'easeInOutSine'
'easeOutCubic'
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :easing="'linear'" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the easing property. let easing = this.$refs.myGauge.easing;
|
endAngle
|
Number
|
270
|
Sets or gets gauge's endAngle. This property specifies the end of the gauge's scale and is measured in degrees.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :endAngle="250" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the endAngle property. let endAngle = this.$refs.myGauge.endAngle;
|
height
|
Number | String
|
350
|
Sets or gets the gauge's height. This property accepts size in pixels and percentage.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :height="400" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the height property. let height = this.$refs.myGauge.height;
|
int64
|
Boolean
|
false
|
Enables the jqxGauge 64-bit number support.
Note: If this property is set to true, the properties value, min, max, ranges.startValue, ranges.endValue, ticksMinor.interval, ticksMajor.interval and labels.interval should be set to string values.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :int64="true" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the int64 property. let int64 = this.$refs.myGauge.int64;
|
labels
|
Object
|
{ distance: '38%', position: 'none', interval: 20, offset: [0, -10], visible: true, formatValue: function (value) { return value; }}
|
Sets or gets the gauge's properties for it's labels.
Possible Values:
'distance' - specifies the labels distance from the gauge's center. This value could be set in percents ('0%' - '100%') or using pixels. This property is with lower priority than the position property
'position' - specifies the gauge's labels position. Possible values for this property are 'inside', 'outside' and 'none' (if you want to use the distance property). If it's value is inside the labels are going to be shown inside the scale otherwise they will be shown outside. This property is with higher priority than the distance property
'interval' - specifies labels's frequency
'offset' - specifies labels's offset. This property is array with two elements. The first one is the left offset and the second one is the top offset
'style' - specifies the gauge's pointer style. Here you can set it's fill or stroke color
'formatValue' - callback used for formatting the label. This function accepts a single parameter which the user can format and return to the labels renderer
'visible' - indicates whether the labels will be visible
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :labels="labels" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { labels: { distance: '50px', position: 'inside', interval: 20, offset: [0, -10], visible: true, formatValue: function (value) { return value; } }, ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the labels property. let labels = this.$refs.myGauge.labels;
|
min
|
Number
|
0
|
Sets or gets gauge's minimum value.
<template> <JqxGauge ref="myGauge" :min="10" /> </template> <script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, mounted: function () { this.$refs.myGauge.value = 140;
Get the min property. let min = this.$refs.myGauge.min;
|
max
|
Number
|
220
|
Sets or gets jqxGauge's max value.
<template> <JqxGauge ref="myGauge" :max="140" /> </template> <script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, mounted: function () { this.$refs.myGauge.value = 140;
Get the max property. let max = this.$refs.myGauge.max;
|
pointer
|
Object
|
{ pointerType: 'default', style: { fill: 'theme-specific-color', stroke: 'theme-specific-color' }, length: '70%', width: '2%', visible: true }
|
Sets or gets the gauge's properties for it's pointer.
Possible Values:
'pointerType' - specifies the pointer type. Possible values for this property are - 'default' and 'rectangle'. If it's value is 'default' the pointer will be arrow otherwise it'll be rectangle
'style' - specifies the gauge's pointer style. Here you can set it's fill or stroke color
'width' - specifies pointer's width. This property can be set in percents ('0%' - '100%') or in pixels
'length' - specifies pointer's length. This property can be set in percents ('0%' - '100%') or in pixels
'visible' - indicates whether the pointer will be visible
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :pointer="pointer" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { pointer: { pointerType: 'rectangle', style: { fill: '#ff0000', stroke: '#ff0000' }, length: '80%', width: '3%', visible: true }, ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the pointer property. let pointer = this.$refs.myGauge.pointer;
|
radius
|
Number
|
'50%'
|
Sets or gets gauge's radius. This property accepts size in pixels and percentage.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :radius="150" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the radius property. let radius = this.$refs.myGauge.radius;
|
ranges
|
Array
|
[]
|
This property is array of objects. Each object is different range. The range is colored area with specified size.
Possible Values:
'startValue'-the value from which the range will start
'endValue'-the value where the current range will end
'startWidth'-the width of the range in it's start
'endWidth'-the end width of the range
'startDistance [optional]'-this property is measured in pixels or percentage. It indicates the distance from the gauge's outer boundary to the start of the range
'endDistance [optional]'-this property is measured in pixels or percentage. It indicates the distance from the gauge's outer boundary to the end of the range
'style'-this property is object containing style information for the range. It accepts properties like 'fill', 'stroke', etc.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ranges: undefined, ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the ranges property. let ranges = this.$refs.myGauge.ranges;
|
startAngle
|
Number
|
30
|
Sets or gets gauge's startAngle. This property specifies the beggining of the gauge's scale and is measured in degrees.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :startAngle="40" :endAngle="200" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the startAngle property. let startAngle = this.$refs.myGauge.startAngle;
|
showRanges
|
Boolean
|
true
|
This property indicates whether the gauge's ranges will be visible.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :showRanges="true" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the showRanges property. let showRanges = this.$refs.myGauge.showRanges;
|
styles
|
Object
|
{ fill: '#ffffff', stroke: '#ffffff' }
|
Sets or gets the gauge's style.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :styles="styles" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { styles: { fill: '#cccccc', stroke: '#cccccc' }, ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the styles property. let styles = this.$refs.myGauge.styles;
|
ticksMajor
|
Object
|
{ size: '10%', interval: 5, style: { stroke: '#898989'}, visible: true }
|
Sets or gets the gauge's properties for it's major ticks.
Possible Values:
'size'-specifies the length of the tick. This property is measured in pixels or percentage
'interval'-specifies the ticks frequency. With interval equals to 5 each fifth value of the gauge will have a major tick
'visible'-indicates if the major ticks will be visible
'style'-sets ticks style (color and thickness)
<template> <JqxGauge ref="myGauge" :ticksMajor="ticksMajor" :value="100" /> </template> <script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMajor: { interval: 60, size: '15%' }
Get the ticksMajor property. let ticksMajor = this.$refs.myGauge.ticksMajor;
|
ticksMinor
|
Object
|
{ size: '10%', interval: 5, style: { stroke: '#898989'}, visible: true }
|
Sets or gets the gauge's properties for it's minor ticks.
Possible Values:
'size'-specifies the length of the tick. This property can be set in pixels or in percentag
'interval'-specifies the ticks frequency. With interval equals to 5 each fifth value of the gauge will have a minor tick
'visible'-indicates if the minor ticks will be visible
'style'-sets ticks style (color and thickness)
<template> <JqxGauge ref="myGauge" :ticksMinor="ticksMinor" :value="100" /> </template> <script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 1, size: '5%' }
Get the ticksMinor property. let ticksMinor = this.$refs.myGauge.ticksMinor;
|
ticksDistance
|
String
|
'20%"
|
Sets and gets the ticks position. This property can be specified using percents (between '0%' and '100%') or using pixels. If the ticksRadius is '0%' this will position the ticks in the outer border of the gauge and if it's '100%' ticks will be positioned near the center.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :ticksDistance="'50%'" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the ticksDistance property. let ticksDistance = this.$refs.myGauge.ticksDistance;
|
value
|
Number
|
0
|
Sets or gets gauge's value.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :value="100" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the value property. let value = this.$refs.myGauge.value;
|
width
|
Number | String
|
350
|
Sets or gets the gauge's width. This property accepts size in pixels and percentage.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" :width="300" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140;
Get the width property. let width = this.$refs.myGauge.width;
|
|
valueChanging
|
Event
|
|
The event is is triggered when the gauge's value is changing.
Code examples
Bind to the valueChanging event of jqxGauge.
<template> <JqxGauge ref="myGauge" @valueChanging="onValueChanging($event)" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140; }, methods: { onValueChanging: function (event) { alert( 'do something...');
|
valueChanged
|
Event
|
|
The event is is triggered when the gauge's value is changed.
Code examples
Bind to the valueChanged event of jqxGauge.
<template> <JqxGauge ref="myGauge" @valueChanged="onValueChanged($event)" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140; }, methods: { onValueChanged: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
disable
|
None
|
None
|
This method disables the gauge.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue'; export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.value = 140; this.$refs.myGauge.disable();
|
enable
|
None
|
None
|
This method enables the gauge.
<template> <JqxGauge ref="myGauge" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue';
export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { this.$refs.myGauge.disable(); setTimeout(_ => { this.$refs.myGauge.enable(); this.$refs.myGauge.value = 140;
|
val
|
value
|
Number
|
Sets or gets the value.
<template> <JqxGauge ref="myGauge" :value="140" :ranges="ranges" :ticksMinor="ticksMinor" :ticksMajor="ticksMajor" :animationDuration="1200" /> </template>
<script> import JqxGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxgauge.vue';
export default { components: { JqxGauge }, data: function () { return { ticksMinor: { interval: 5, size: '5%' }, ticksMajor: { interval: 10, size: '9%' }, ranges: [ { startValue: 0, endValue: 55, style: { fill: '#4bb648', stroke: '#4bb648' }, endWidth: 5, startWidth: 1 }, { startValue: 55, endValue: 110, style: { fill: '#fbd109', stroke: '#fbd109' }, endWidth: 10, startWidth: 5 }, { startValue: 110, endValue: 165, style: { fill: '#ff8000', stroke: '#ff8000' }, endWidth: 13, startWidth: 10 }, { startValue: 165, endValue: 220, style: { fill: '#e02629', stroke: '#e02629' }, endWidth: 16, startWidth: 13 } ] } }, mounted: function () { const value = this.$refs.myGauge.val();
|